Skip to main content
PATCH
Update a report

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Path Parameters

project_id
string<uuid>
required
report_id
string<uuid>
required

Body

application/json

Request body for updating an existing report.

name
string | null

Updated display name for the report.

Maximum string length: 255
description
string | null

Updated description.

date_range_start
string<date> | null

Updated inclusive start date.

date_range_end
string<date> | null

Updated inclusive end date.

date_range_preset
string | null

Updated relative date range preset ('7d', '30d', '90d' or null).

is_archived
boolean | null

Set to true to archive the report; false to restore it.

Response

Successful Response

success
boolean
default:true
data
ReportResponse · object | null

Full report record including all pages and their widgets.